//   RW Cooker
// ==============
// Household Domestics: Cooking Library
// -Part of the RW Foundations suite of libraries

// Filename: ./include/meido/cooker.hpp
// -Declarations of the baseline RW Cooker sub-library

#pragma once

#include "incls_all.hpp"

namespace rw::meido {

//------------------------------------------------------------------------------
/**
 */
class Cooker_b : public RW {
 public:
  Cooker_b();                                    // default ctor
  explicit Cooker_b(std::string const& handle);  // tag-parm'd ctor
};

//------------------------------------------------------------------------------
/**
 */
class Cooker : public Cooker_b {
 public:
  Cooker();                                    // default ctor
  explicit Cooker(std::string const& handle);  // tag-parm'd ctor
};

}  // namespace rw::meido

//    --=^=--

// "______"

// rw_meido_lib.v220326
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
