//   RW Action!
// ==============
// Motion-Scripting, Storyboard, Previz, and Scene Production Tools Library
// -Part of the RW Foundations suite of libraries

// Filename: ./src/action/action.cpp
// -Definitions of the baseline RW Action library

#include "incls_all.hpp"

namespace rw::action {

//------------------------------------------------------------------------------
Action_b::Action_b() : Action_b{"action_b_obj"} {}

//------------------------------------------------------------------------------
Action_b::Action_b(std::string const& handle) : RW{handle, Type::Action} {
  stamp("Action_b()");
}

//------------------------------------------------------------------------------
Action::Action() : Action{"action_obj"} {}

//------------------------------------------------------------------------------
Action::Action(std::string const& handle) : Action_b{handle} {
  stamp("Action()");
}

}  // namespace rw::action

//    --=^=--

// "______"

// rw_action_lib.v220326
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
