//    RW Page
// ==============
// ______
// -Part of the RW Foundations suite of libraries

// Filename: ./src/curator/bumpmaster/page.cpp
// -Definitions of the baseline RW Page sub-library

#pragma once

#include "incls_all.hpp"

namespace rw::curator::bumpmaster {

//------------------------------------------------------------------------------
Page_b::Page_b(Hip const& tag, std::string const& handle)
    : RW_slave{{Type::Bumpmaster}, handle} {
  stamp("Page_b()");

  bind_master(tag);
}

}  // namespace rw::curator::bumpmaster

//    --=^=--

// "______"

// rw_curator_lib.v220326
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
