//    RW Dogfood
// ================
// Code-Generator System Library
// -The RW Foundational Libraries

// Filename: ./src/rw/util/dogfood.cpp
// -Definitions of the baseline RW Dogfood sub-library

#pragma once

#include "incls_all.hpp"

namespace rw::util {

//------------------------------------------------------------------------------
Dogfood_b::Dogfood_b() : Dogfood_b{"dogfood_b_obj"} {}

//------------------------------------------------------------------------------
Dogfood_b::Dogfood_b(std::string const& handle) : RW{handle, Type::Dogfood} {
  stamp("Dogfood_b()");
}

//------------------------------------------------------------------------------
Dogfood::Dogfood() : Dogfood{"dogfood_obj"} {}

//------------------------------------------------------------------------------
Dogfood::Dogfood(std::string const& handle) : Dogfood_b{handle} {
  stamp("Dogfood()");
}

}  // namespace rw::util

//    --=^=--

// "______"

// rw_curator_lib.v220326
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
