//    RW Face
// ==============
// Robowaifu Facial Control & Expressions Library
// -Part of the RW Foundations suite of libraries

// Filename: ./src/shell/face/shell.cpp
// -Definitions of the baseline RW Face sub-library

#include "incls_all.hpp"

namespace rw::shell::face {

//------------------------------------------------------------------------------
Face_b::Face_b() : Face_b{"face_b_obj"} {}

//------------------------------------------------------------------------------
Face_b::Face_b(std::string const& handle) : RW{handle, Type::Face} {
  stamp("Face_b()");
}

//------------------------------------------------------------------------------
Face::Face() : Face{"face_obj"} {}

//------------------------------------------------------------------------------
Face::Face(std::string const& handle) : Face_b{handle} {
  stamp("Face()");
}

}  // namespace rw::shell::face

//    --=^=--

// "Oh yeah, she's really cute. You're such a lucky guy to find her for free!"

// rw_shell_lib.v220326
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
