//    RW Site
// ==============
// ______
// -Part of the RW Foundations suite of libraries

// Filename: ./include/curator/bumpmaster/site.hpp
// -Declarations of the baseline RW Site sub-library

#pragma once

#include "incls_all.hpp"

namespace rw::curator::bumpmaster {

//------------------------------------------------------------------------------
/**
 */
class Site_b : public RW_slave {
 public:
  Site_b(Hip const& tag, std::string const& handle);  // tag-parm'd ctor

 private:
  Site_b() = delete;  // no default ctor
};

//------------------------------------------------------------------------------
/**
 */
class Site : public Site_b {
 private:
  Site() = delete;  // no default ctor
};

}  // namespace rw::curator::bumpmaster

//    --=^=--

// "______"

// rw_curator_lib.v220326
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
