//    RW Hand
// ==============
// Robowaifu Hand Control & Manipulations Library
// -Part of the RW Foundations suite of libraries

// Filename: ./include/shell/hand/hand.hpp
// -Declarations of the baseline RW Hand sub-library

#pragma once

#include "incls_all.hpp"

namespace rw::shell::hand {

//------------------------------------------------------------------------------
/**
 */
class Hand_b : public RW {
 public:
  Hand_b();                                    // default ctor
  explicit Hand_b(std::string const& handle);  // tag-parm'd ctor
};

//------------------------------------------------------------------------------
/**
 */
class Hand : public Hand_b {
 public:
  Hand();                                    // default ctor
  explicit Hand(std::string const& handle);  // tag-parm'd ctor
};

}  // namespace rw::shell::hand

//    --=^=--

// "______"

// rw_shell_lib.v220326
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
